# Ad Exchange Buyer API . marketplaceprivateauction

## Instance Methods

Update a given private auction proposal

### Method Details

`updateproposal(privateAuctionId, body)`

    Update a given private auction proposal

    Args:
      privateAuctionId: string, The private auction id to be updated. (required)
      body: object, The request body. (required)
        The object takes the form of:

    {
        "note": { # A proposal is associated with a bunch of notes which may optionally be associated with a deal and/or revision number. # Optional note to be added.
          "kind": "adexchangebuyer#marketplaceNote", # Identifies what kind of resource this is. Value: the fixed string "adexchangebuyer#marketplaceNote".
          "proposalRevisionNumber": "A String", # If the note is associated with a proposal revision number, then store that here. (readonly, except on create)
          "dealId": "A String", # Notes can optionally be associated with a deal. (readonly, except on create)
          "note": "A String", # The actual note to attach. (readonly, except on create)
          "proposalId": "A String", # The proposalId that a note is attached to. (readonly)
          "creatorRole": "A String", # The role of the person (buyer/seller) creating the note. (readonly)
          "noteId": "A String", # The unique id for the note. (readonly)
          "timestampMs": "A String", # The timestamp (ms since epoch) that this note was created. (readonly)
        },
        "externalDealId": "A String", # The externalDealId of the deal to be updated.
        "proposalRevisionNumber": "A String", # The current revision number of the proposal to be updated.
        "updateAction": "A String", # The proposed action on the private auction proposal.
      }